%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Danga/Socket.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/DNS.pm) perl(NetAddr/IP.pm) perl(Socket.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(base.pm) perl(fields.pm)
# END SourceDeps(oneline)
%define module_version 2.0
%define module_name ParaDNS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0
Release: alt1
Summary: a DNS lookup class for the Danga::Socket framework
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MS/MSERGEANT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module performs asynchronous DNS lookups, making use of a single UDP
socket (unlike Net::DNS's bgsend/bgread combination). It uses the Danga::Socket
framework for high performance.

Currently this module will only perform A or PTR lookups. A rDNS (PTR) lookup
will be performed if the host matches the regexp: `/^\d+\.\d+\.\d+.\d+$/'.

The lookups time out after 15 seconds.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_privlib/fast-rdns.pl

%files
%doc Changes README
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1
- initial import by package builder

